Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf
Interface RenderFormat

    public interface RenderFormat

`RenderFormat` provides information about the output format of the current skeleton. This information will be useful for content authors wishing to make presentation decisions based on configured output format (i.e. HTML strict vs. transitional).

See Also
  "Skeleton configuration element <render-format>"
  This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Nested Class Summary
`static class` | `RenderFormat.Type` Enumeration of the possible render format types supported by Look and Feel.

Method Summary
`String` | `getDoctypeName()` Returns the doctype name of the the render format.
`String` | `getDoctypePublicId()` Returns the doctype public id for the render format.
`String` | `getDoctypeSystemId()` Returns the doctype system id for the render format.
`String` | `getNamespaceUri()` Returns the namespace URI for the render format.
`String` | `getSchemaSystemId()` Returns the XML Schema system id for the render format.
`RenderFormat.Type` | `getType()`

Method Detail

### getType

    RenderFormat.Type getType()

### getDoctypeName

    String getDoctypeName()

  Returns the doctype name of the the render format. This value is used as the name field of a doctype declaration in the following format:

       <!DOCTYPE [name] PUBLIC [public id] ([system id])>

  Returns
    The format's doctype name; potentially null (i.e. for "quirks mode").

### getDoctypePublicId

    String getDoctypePublicId()

  Returns the doctype public id for the render format. This value is used as the public id field of a doctype declaration in the following format:

       <!DOCTYPE [name] PUBLIC [public id] ([system id])>

  Returns
    This format's public id; potentially null (i.e. for "quirks mode").

### getDoctypeSystemId

    String getDoctypeSystemId()

  Returns the doctype system id for the render format. This value is used as the system id field of a doctype declaration in the following format:

       <!DOCTYPE [name] PUBLIC [public id] ([system id])>

  Returns
    This format's system id; potentially null

### getNamespaceUri

    String getNamespaceUri()

  Returns the namespace URI for the render format. This value is used as the XML namespace declaration on the root element of the rendered document as in:

       <html xmlns="namespace URI" [xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="schema system id"] >

  This value is only applicable for XHTML type render formats.

  Returns
    This format's namespace URI for XHTML type formats; null otherwise

### getSchemaSystemId

    String getSchemaSystemId()

  Returns the XML Schema system id for the render format. This value is used as the schema location on the root element of the rendered document as in:

       <html xmlns="namespace URI" [xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="schema system id"] >

  This value is only applicable for XHTML type render formats and is expected to be null for most cases.

  Returns
    This format's schema system id for XHTML type formats, if applicable; null otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved